<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Grendel, KY</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Grendel-KY-2-of-4/digital-comic/895378</Web>
  <Summary>For two generations, the rural hill town of Grendel, Kentucky has honored its Faustian bargain with the monster living in its abandoned coal mine: a human sacrifice every season in return for agrarian prosperity the likes of which this rocky region had never before seen (including its greatest cash crop: the dankest weed in the land). When one town elder breaks this pact, Grendel's only hope is that its prodigal daughter will return home to face down the creature of her nightmares—and bring her all-female biker gang with her.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB895378]</Notes>
  <Publisher>AWA Studios</Publisher>
  <Imprint>AWA Studios - Upshot</Imprint>
  <Genre>Horror, Suspense</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
